#ifndef LOGCONTROL_H
#define LOGCONTROL_H

#include "InterfaceDefine.hpp"
#include <mutex>

class LogControl : public wxPanel
{
public:
    LogControl(wxWindow* parent);
    ~LogControl() override;

private:
    void Init();

public:
    void AddLog(const wxString& log);

public:
    wxListBox* listBox_;
    std::mutex mutex_;
};

#endif   // LOGCONTROL_H